Subject: Please review: audio/sp-midi MIME type registration
From: [email-masked] (Graham Klyne)
Date: Sun, 21 Jul 2002 19:23:56 +0100

(1) typo in security considerations  "don not".

(2) are the specification documents freely available on the Internet?  If 
not, I wonder if a vnd-tree registration might not be more appropriate?  If 
they are, URLs would be helpful.

(3) I think maybe the references should appear in the "published 
specifications" section of the registration template, since that appears in 
the MIME type registry.

#g
--

At 12:01 AM 7/20/02 +0300, [email-masked] wrote:

> 
>M. Hamalainen
>                Internet 
> Draft                                                    Nokia
>                Document: 
> draft-SP-MIDI-MIME-type-01.txt                       T. White
> 
>MMA
>                Expires: January 
> 2003                                         July 2002
>
>
>                               Registration of MIME media type audio/sp-midi
>
>
>                Status of this Memo
>
>                   This document is an Internet-Draft and is subject to 
> all provisions
>                   of Section 10 of RFC2026 except that the right to 
> produce derivative
>                   works is not granted.
>
>                   Internet-Drafts are working documents of the Internet 
> Engineering
>                   Task Force (IETF), its areas, and its working 
> groups.  Note that
>                   other groups may also distribute working documents as 
> Internet-
>                   Drafts.
>
>                   Internet-Drafts are draft documents valid for a maximum 
> of six
>                   months and may be updated, replaced, or obsoleted by 
> other documents
>                   at any time.  It is inappropriate to use 
> Internet-Drafts as
>                   reference material or to cite them other than as "work 
> in progress."
>
>                   The list of current Internet-Drafts can be accessed at
>                        http://www.ietf.org/ietf/1id-abstracts.txt
>                   The list of Internet-Draft Shadow Directories can be 
> accessed at
>                        http://www.ietf.org/shadow.html.
>
>
>                Abstract
>
>                   MIDI Manufacturers Association (MMA) and Association of 
> Music
>                   Electronics industry (AMEI) have recently produced the 
> Scalable
>                   Polyphony MIDI (SP-MIDI) standard [1]. The SP-MIDI 
> standard has been
>                   developed in particularly for mobile MIDI applications. 
> SP-MIDI has
>                   been approved for 3GPP standardization and a dedicated 
> SP-MIDI
>                   profile has been defined for 3GPP SP-MIDI devices [2]. 
> Since MIDI
>                   information is a very compact media type 3GPP is 
> initially focusing
>                   on the application of SP-MIDI for music downloading and 
> messaging
>                   applications that require MIME registration.
>
>
>
>
>
>
>
>
>                1 Introduction
>
>
>                Hamalainen & 
> White                                            [Page 1]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>                   MIDI content is commonly used in the Internet, however 
> such use is
>                   based on informal ad hoc MIME type definitions that 
> have not been
>                   registered by IETF. The present MIME type registration 
> is harmonized
>                   with the typical Internet usage of unregistered 
> audio/midi and
>                   audio/x-midi MIME types. Commonly MIDI information is 
> stored in the
>                   Standard MIDI File (SMF) format [3]. The present MIME type
>                   registration also uses the SMF file format for the 
> encapsulation of
>                   SP-MIDI data. Whereas previous MIDI specifications have 
> been based
>                   on common minimum requirements for all playback devices 
> supporting
>                   the same specification, SP-MIDI is able to support a 
> wider range of
>                   playback devices because playback adaptations can be 
> encoded in the
>                   MIDI content. Due to these differences, a separate MIME 
> type,
>                   audio/sp-midi, needs to be registered to distinguish 
> SP-MIDI
>                   content.
>
>                2 Registration of audio/sp-midi
>
>                   MIME media type name: audio
>
>                   MIME subtype name: sp-midi
>
>                   Required parameters: none
>
>                   Optional parameters: none
>
>                   Encoding considerations:
>
>                        sp-midi data is binary data and must be encoded 
> for non-binary
>                        transport; Base64 is suitable for Email
>
>                   Security considerations:
>
>                        Many synthetic audio compositions have associated 
> intellectual
>                        property rights. It is conceivable that rights 
> owners of sp-
>                        midi content will want to protect their rights by 
> applying
>                        security mechanisms that prohibit the rendering of 
> the content
>                        without a legally acquired license to do so. These 
> mechanisms
>                        would be applied externally to the Content-Type 
> defined here;
>                        sp-midi content itself is not encrypted 
> internally. sp-midi
>                        streams don not contain executable content.
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 2]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>                   Interoperability considerations:
>
>                        Scalable Polyphony MIDI (SP-MIDI) is a Musical 
> Instrument
>                        Digital Interface (MIDI) specification developed 
> by MMA and
>                        AMEI. SP-MIDI is based on the MIDI 1.0 
> specification [3] which
>                        standardizes a protocol for the electronic 
> transmission of
>                        music as data suitable for communication between a 
> transmitter
>                        and receiver using MIDI messages. SP-MIDI data is 
> stored in
>                        Standard MIDI Files (SMF) [3].
>
>                        The SP-MIDI format [1] provides scalable 
> representation of MIDI
>                        content which enables broadly interoperable music 
> applications.
>                        SP-MIDI files have encoded information about playback
>                        requirements which allows SP-MIDI playback devices 
> with
>                        different device capabilities to play the same 
> content
>                        according to composer's polyphony requirement and 
> Channel
>                        priority order definitions. SP-MIDI player 
> requirements are
>                        defined in separate SP-MIDI profile specifications 
> [2] defining
>                        the supported MIDI messages and device 
> requirement. All SP-MIDI
>                        profiles follow the definitions of the SP-MIDI 
> specification
>                        [1].
>
>                        MMA and AMEI have previously defined the General 
> MIDI (GM)
>                        system standards GM1 [4] GM2 [5], and GML [6]. These
>                        specifications are technically related to the SP-MIDI
>                        specification, but do not support polyphony 
> scalability. Due to
>                        the differences between GM and SP-MIDI systems GM 
> synthesizers
>                        do not support all SP-MIDI content, and likewise 
> not all SP-
>                        MIDI synthesizers support all GM content. Thus a 
> separate MIME
>                        definition is needed to distinguish SP-MIDI, media 
> from the
>                        informally used audio/midi content.
>
>                   Published specification:
>
>                        There are no previous RFC documents on SP-MIDI.
>
>                   Applications which use this media type:
>
>                        SP-MIDI is a synthetic audio format for the flexible
>                        presentation of MIDI data on a wide range of 
> playback devices,
>                        particularly portable appliances such as mobile 
> phones, PDAs,
>                        and palmtop computers.
>
>
>
>
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 3]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>
>                   Additional information:
>
>                   Magic number(s):
>                        First four bytes (1-4): \115\124\150\144,
>                        byte (24): \360,
>                        byte (26): \177,
>                        bytes (28-29): \013\001
>
>                   File extension(s): mid
>
>                   Macintosh File Type Code(s): mid
>
>                   Intended usage: COMMON
>
>
>                3 IANA Considerations
>
>                   Section 2 of this document registers one MIME subtype.
>
>                4 Security Considerations
>
>                   Security considerations are specified in the MIME subtype
>                   registration contained in Section 2.
>
>                5 Authors' Addresses
>
>                        Matti Hamalainen
>                        Nokia
>                        P.O. Box 100 (Visiokatu 1)
>                        FIN-33721 Tampere, Finland
>                        Tel: +358 7180 35789
>                        Fax: +358 7180 35899
>
>                        Email: [email-masked]
>
>
>                        Tom White,
>                        MIDI Manufacturers Association
>                        P.O. Box 3173
>                        La Habra CA
>                        90632-3173
>                        Tel (714) 736-9774
>                        Fax (714) 736-9775
>
>                        Email: [email-masked]
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 4]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>
>
>
>                   Author/Change controller:
>
>                        Matti Hamalainen
>                        Nokia
>                        P.O. Box 100 (Visiokatu 1)
>                        FIN-33721 Tampere, Finland
>                        Tel: +358 7180 35789
>                        Fax: +358 7180 35899
>                        [email-masked]
>
>
>
>                References
>
>                   1 Scalable Polyphony MIDI Specification. December 2001, 
> RP-034, The
>                      MIDI Manufacturers Association, Los Angeles, CA, USA.
>                   2 Scalable Polyphony MIDI Device 5-24 Note Profile for 
> 3GPP,
>                      December 2001, RP-035, The MIDI Manufacturers 
> Association, Los
>                      Angeles, CA, USA.
>                   3 MIDI 1.0 Detailed Specification, Document Version 
> 4.2. February
>                      1996, In 'The Complete MIDI 1.0 Detailed 
> Specification, Document
>                      Version 96.1.' The MIDI Manufacturers Association., 
> Los Angeles,
>                      CA, USA.
>                   4 General MIDI System Level 1. 1994, MMA0007/RP003, In 
> 'The Complete
>                      MIDI 1.0 Detailed Specification, Document Version 
> 96.1.' The MIDI
>                      Manufacturers Association, Los Angeles, CA, USA.
>                   5 General MIDI Level 2 Specification (Recommended 
> Practice).
>                      November 1999, RP-024, The MIDI Manufacturers 
> Association, Los
>                      Angeles, CA, USA.
>                   6 General MIDI Lite, Specification for GM Lite and 
> Guidelines for
>                      Use In Mobile Applications. October 5, 2001, RP-033, 
> Version 1.0,
>                      The MIDI Manufacturers Association, Los Angeles, CA, 
> USA.
>
>
>                Hamalainen & White           January 
> 2003                     [Page 5]
>
>_______________________________________________
>Ietf-types mailing list
>[email-masked]
>http://www.alvestrand.no/mailman/listinfo/ietf-types

-------------------
Graham Klyne
<[email-masked]>

From: [email-masked] ([email-masked])
Date: Sat, 20 Jul 2002 00:01:57 +0300
Subject: Please review: audio/sp-midi MIME type registration
Message-ID: <[email-masked]>

                                                                         =
M. Hamalainen=20
               Internet Draft                                            =
        Nokia=20
               Document: draft-SP-MIDI-MIME-type-01.txt                  =
     T. White=20
                                                                         =
          MMA=20
               Expires: January 2003                                     =
    July 2002=20
               =20
               =20
                              Registration of MIME media type =
audio/sp-midi=20
               =20
               =20
               Status of this Memo=20
               =20
                  This document is an Internet-Draft and is subject to =
all provisions=20
                  of Section 10 of RFC2026 except that the right to =
produce derivative=20
                  works is not granted.=20
                  =20
                  Internet-Drafts are working documents of the Internet =
Engineering=20
                  Task Force (IETF), its areas, and its working groups.  =
Note that     =20
                  other groups may also distribute working documents as =
Internet-
                  Drafts.=20
                  =20
                  Internet-Drafts are draft documents valid for a =
maximum of six=20
                  months and may be updated, replaced, or obsoleted by =
other documents=20
                  at any time.  It is inappropriate to use =
Internet-Drafts as=20
                  reference material or to cite them other than as "work =
in progress."=20
                  =20
                  The list of current Internet-Drafts can be accessed at =

                       http://www.ietf.org/ietf/1id-abstracts.txt=20
                  The list of Internet-Draft Shadow Directories can be =
accessed at=20
                       http://www.ietf.org/shadow.html.=20
                  =20
                  =20
               Abstract=20
                  =20
                  MIDI Manufacturers Association (MMA) and Association =
of Music=20
                  Electronics industry (AMEI) have recently produced the =
Scalable=20
                  Polyphony MIDI (SP-MIDI) standard [1]. The SP-MIDI =
standard has been=20
                  developed in particularly for mobile MIDI =
applications. SP-MIDI has=20
                  been approved for 3GPP standardization and a dedicated =
SP-MIDI=20
                  profile has been defined for 3GPP SP-MIDI devices [2]. =
Since MIDI=20
                  information is a very compact media type 3GPP is =
initially focusing=20
                  on the application of SP-MIDI for music downloading =
and messaging=20
                  applications that require MIME registration.=20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
               1 Introduction=20
                  =20
                =20
               Hamalainen & White                                        =
    [Page 1]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                  MIDI content is commonly used in the Internet, however =
such use is=20
                  based on informal ad hoc MIME type definitions that =
have not been=20
                  registered by IETF. The present MIME type registration =
is harmonized=20
                  with the typical Internet usage of unregistered =
audio/midi and=20
                  audio/x-midi MIME types. Commonly MIDI information is =
stored in the=20
                  Standard MIDI File (SMF) format [3]. The present MIME =
type=20
                  registration also uses the SMF file format for the =
encapsulation of=20
                  SP-MIDI data. Whereas previous MIDI specifications =
have been based=20
                  on common minimum requirements for all playback =
devices supporting=20
                  the same specification, SP-MIDI is able to support a =
wider range of=20
                  playback devices because playback adaptations can be =
encoded in the=20
                  MIDI content. Due to these differences, a separate =
MIME type,=20
                  audio/sp-midi, needs to be registered to distinguish =
SP-MIDI=20
                  content.=20
               =20
               2 Registration of audio/sp-midi=20
               =20
                  MIME media type name: audio=20
                  =20
                  MIME subtype name: sp-midi=20
                  =20
                  Required parameters: none=20
                  =20
                  Optional parameters: none=20
                  =20
                  Encoding considerations: =20
                       =20
                       sp-midi data is binary data and must be encoded =
for non-binary=20
                       transport; Base64 is suitable for Email=20
                  =20
                  Security considerations:=20
                       =20
                       Many synthetic audio compositions have associated =
intellectual=20
                       property rights. It is conceivable that rights =
owners of sp-
                       midi content will want to protect their rights by =
applying=20
                       security mechanisms that prohibit the rendering =
of the content=20
                       without a legally acquired license to do so. =
These mechanisms=20
                       would be applied externally to the Content-Type =
defined here;=20
                       sp-midi content itself is not encrypted =
internally. sp-midi=20
                       streams don not contain executable content.=20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 2]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                  Interoperability considerations:=20
                       =20
                       Scalable Polyphony MIDI (SP-MIDI) is a Musical =
Instrument=20
                       Digital Interface (MIDI) specification developed =
by MMA and=20
                       AMEI. SP-MIDI is based on the MIDI 1.0 =
specification [3] which=20
                       standardizes a protocol for the electronic =
transmission of=20
                       music as data suitable for communication between =
a transmitter=20
                       and receiver using MIDI messages. SP-MIDI data is =
stored in=20
                       Standard MIDI Files (SMF) [3].=20
                       =20
                       The SP-MIDI format [1] provides scalable =
representation of MIDI=20
                       content which enables broadly interoperable music =
applications.=20
                       SP-MIDI files have encoded information about =
playback=20
                       requirements which allows SP-MIDI playback =
devices with=20
                       different device capabilities to play the same =
content=20
                       according to composer's polyphony requirement and =
Channel=20
                       priority order definitions. SP-MIDI player =
requirements are=20
                       defined in separate SP-MIDI profile =
specifications [2] defining=20
                       the supported MIDI messages and device =
requirement. All SP-MIDI=20
                       profiles follow the definitions of the SP-MIDI =
specification=20
                       [1].=20
                  =20
                       MMA and AMEI have previously defined the General =
MIDI (GM)=20
                       system standards GM1 [4] GM2 [5], and GML [6]. =
These=20
                       specifications are technically related to the =
SP-MIDI=20
                       specification, but do not support polyphony =
scalability. Due to=20
                       the differences between GM and SP-MIDI systems GM =
synthesizers=20
                       do not support all SP-MIDI content, and likewise =
not all SP-
                       MIDI synthesizers support all GM content. Thus a =
separate MIME=20
                       definition is needed to distinguish SP-MIDI, =
media from the=20
                       informally used audio/midi content. =20
                  =20
                  Published specification:=20
                  =20
                       There are no previous RFC documents on SP-MIDI. =20
                  =20
                  Applications which use this media type:=20
                       =20
                       SP-MIDI is a synthetic audio format for the =
flexible=20
                       presentation of MIDI data on a wide range of =
playback devices,=20
                       particularly portable appliances such as mobile =
phones, PDAs,=20
                       and palmtop computers.=20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 3]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                  =20
                  Additional information:=20
                  =20
                  Magic number(s): =20
                       First four bytes (1-4): \115\124\150\144,=20
                       byte (24): \360,=20
                       byte (26): \177,=20
                       bytes (28-29): \013\001=20
                  =20
                  File extension(s): mid=20
                  =20
                  Macintosh File Type Code(s): mid=20
                  =20
                  Intended usage: COMMON=20
                  =20
               =20
               3 IANA Considerations=20
               =20
                  Section 2 of this document registers one MIME subtype. =

               =20
               4 Security Considerations=20
                  =20
                  Security considerations are specified in the MIME =
subtype=20
                  registration contained in Section 2.=20
                  =20
               5 Authors' Addresses=20
                  =20
                       Matti Hamalainen=20
                       Nokia=20
                       P.O. Box 100 (Visiokatu 1)=20
                       FIN-33721 Tampere, Finland=20
                       Tel: +358 7180 35789=20
                       Fax: +358 7180 35899=20
                       =20
                       Email: [email-masked]=20
                       =20
                       =20
                       Tom White, =20
                       MIDI Manufacturers Association=20
                       P.O. Box 3173=20
                       La Habra CA=20
                       90632-3173=20
                       Tel (714) 736-9774=20
                       Fax (714) 736-9775=20
                       =20
                       Email: [email-masked]=20
                       =20
                       =20
                       =20
                       =20
                       =20
                       =20
                       =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 4]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                       =20
                       =20
                    =20
                  Author/Change controller:=20
               =20
                       Matti Hamalainen=20
                       Nokia=20
                       P.O. Box 100 (Visiokatu 1)=20
                       FIN-33721 Tampere, Finland=20
                       Tel: +358 7180 35789=20
                       Fax: +358 7180 35899=20
                       [email-masked]=20
                       =20
                       =20
                  =20
               References=20
               =20
                  1 Scalable Polyphony MIDI Specification. December =
2001, RP-034, The=20
                     MIDI Manufacturers Association, Los Angeles, CA, =
USA.=20
                  2 Scalable Polyphony MIDI Device 5-24 Note Profile for =
3GPP,=20
                     December 2001, RP-035, The MIDI Manufacturers =
Association, Los=20
                     Angeles, CA, USA.=20
                  3 MIDI 1.0 Detailed Specification, Document Version =
4.2. February=20
                     1996, In 'The Complete MIDI 1.0 Detailed =
Specification, Document=20
                     Version 96.1.' The MIDI Manufacturers Association., =
Los Angeles,=20
                     CA, USA.=20
                  4 General MIDI System Level 1. 1994, MMA0007/RP003, In =
'The Complete=20
                     MIDI 1.0 Detailed Specification, Document Version =
96.1.' The MIDI=20
                     Manufacturers Association, Los Angeles, CA, USA.=20
                  5 General MIDI Level 2 Specification (Recommended =
Practice).=20
                     November 1999, RP-024, The MIDI Manufacturers =
Association, Los=20
                     Angeles, CA, USA.=20
                  6 General MIDI Lite, Specification for GM Lite and =
Guidelines for=20
                     Use In Mobile Applications. October 5, 2001, =
RP-033, Version 1.0,=20
                     The MIDI Manufacturers Association, Los Angeles, =
CA, USA.=20
                  =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 5]=20
               =20

From: GK at ninebynine.org (Graham Klyne)
Date: Tue Jan  3 16:22:32 2006
Subject: Please review: audio/sp-midi MIME type registration
In-Reply-To: <[email-masked]. com>
Message-ID: <[email-masked]>

(1) typo in security considerations  "don not".

(2) are the specification documents freely available on the Internet?  If 
not, I wonder if a vnd-tree registration might not be more appropriate?  If 
they are, URLs would be helpful.

(3) I think maybe the references should appear in the "published 
specifications" section of the registration template, since that appears in 
the MIME type registry.

#g
--

At 12:01 AM 7/20/02 +0300, [email-masked] wrote:

> 
>M. Hamalainen
>                Internet 
> Draft                                                    Nokia
>                Document: 
> draft-SP-MIDI-MIME-type-01.txt                       T. White
> 
>MMA
>                Expires: January 
> 2003                                         July 2002
>
>
>                               Registration of MIME media type audio/sp-midi
>
>
>                Status of this Memo
>
>                   This document is an Internet-Draft and is subject to 
> all provisions
>                   of Section 10 of RFC2026 except that the right to 
> produce derivative
>                   works is not granted.
>
>                   Internet-Drafts are working documents of the Internet 
> Engineering
>                   Task Force (IETF), its areas, and its working 
> groups.  Note that
>                   other groups may also distribute working documents as 
> Internet-
>                   Drafts.
>
>                   Internet-Drafts are draft documents valid for a maximum 
> of six
>                   months and may be updated, replaced, or obsoleted by 
> other documents
>                   at any time.  It is inappropriate to use 
> Internet-Drafts as
>                   reference material or to cite them other than as "work 
> in progress."
>
>                   The list of current Internet-Drafts can be accessed at
>                        http://www.ietf.org/ietf/1id-abstracts.txt
>                   The list of Internet-Draft Shadow Directories can be 
> accessed at
>                        http://www.ietf.org/shadow.html.
>
>
>                Abstract
>
>                   MIDI Manufacturers Association (MMA) and Association of 
> Music
>                   Electronics industry (AMEI) have recently produced the 
> Scalable
>                   Polyphony MIDI (SP-MIDI) standard [1]. The SP-MIDI 
> standard has been
>                   developed in particularly for mobile MIDI applications. 
> SP-MIDI has
>                   been approved for 3GPP standardization and a dedicated 
> SP-MIDI
>                   profile has been defined for 3GPP SP-MIDI devices [2]. 
> Since MIDI
>                   information is a very compact media type 3GPP is 
> initially focusing
>                   on the application of SP-MIDI for music downloading and 
> messaging
>                   applications that require MIME registration.
>
>
>
>
>
>
>
>
>                1 Introduction
>
>
>                Hamalainen & 
> White                                            [Page 1]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>                   MIDI content is commonly used in the Internet, however 
> such use is
>                   based on informal ad hoc MIME type definitions that 
> have not been
>                   registered by IETF. The present MIME type registration 
> is harmonized
>                   with the typical Internet usage of unregistered 
> audio/midi and
>                   audio/x-midi MIME types. Commonly MIDI information is 
> stored in the
>                   Standard MIDI File (SMF) format [3]. The present MIME type
>                   registration also uses the SMF file format for the 
> encapsulation of
>                   SP-MIDI data. Whereas previous MIDI specifications have 
> been based
>                   on common minimum requirements for all playback devices 
> supporting
>                   the same specification, SP-MIDI is able to support a 
> wider range of
>                   playback devices because playback adaptations can be 
> encoded in the
>                   MIDI content. Due to these differences, a separate MIME 
> type,
>                   audio/sp-midi, needs to be registered to distinguish 
> SP-MIDI
>                   content.
>
>                2 Registration of audio/sp-midi
>
>                   MIME media type name: audio
>
>                   MIME subtype name: sp-midi
>
>                   Required parameters: none
>
>                   Optional parameters: none
>
>                   Encoding considerations:
>
>                        sp-midi data is binary data and must be encoded 
> for non-binary
>                        transport; Base64 is suitable for Email
>
>                   Security considerations:
>
>                        Many synthetic audio compositions have associated 
> intellectual
>                        property rights. It is conceivable that rights 
> owners of sp-
>                        midi content will want to protect their rights by 
> applying
>                        security mechanisms that prohibit the rendering of 
> the content
>                        without a legally acquired license to do so. These 
> mechanisms
>                        would be applied externally to the Content-Type 
> defined here;
>                        sp-midi content itself is not encrypted 
> internally. sp-midi
>                        streams don not contain executable content.
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 2]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>                   Interoperability considerations:
>
>                        Scalable Polyphony MIDI (SP-MIDI) is a Musical 
> Instrument
>                        Digital Interface (MIDI) specification developed 
> by MMA and
>                        AMEI. SP-MIDI is based on the MIDI 1.0 
> specification [3] which
>                        standardizes a protocol for the electronic 
> transmission of
>                        music as data suitable for communication between a 
> transmitter
>                        and receiver using MIDI messages. SP-MIDI data is 
> stored in
>                        Standard MIDI Files (SMF) [3].
>
>                        The SP-MIDI format [1] provides scalable 
> representation of MIDI
>                        content which enables broadly interoperable music 
> applications.
>                        SP-MIDI files have encoded information about playback
>                        requirements which allows SP-MIDI playback devices 
> with
>                        different device capabilities to play the same 
> content
>                        according to composer's polyphony requirement and 
> Channel
>                        priority order definitions. SP-MIDI player 
> requirements are
>                        defined in separate SP-MIDI profile specifications 
> [2] defining
>                        the supported MIDI messages and device 
> requirement. All SP-MIDI
>                        profiles follow the definitions of the SP-MIDI 
> specification
>                        [1].
>
>                        MMA and AMEI have previously defined the General 
> MIDI (GM)
>                        system standards GM1 [4] GM2 [5], and GML [6]. These
>                        specifications are technically related to the SP-MIDI
>                        specification, but do not support polyphony 
> scalability. Due to
>                        the differences between GM and SP-MIDI systems GM 
> synthesizers
>                        do not support all SP-MIDI content, and likewise 
> not all SP-
>                        MIDI synthesizers support all GM content. Thus a 
> separate MIME
>                        definition is needed to distinguish SP-MIDI, media 
> from the
>                        informally used audio/midi content.
>
>                   Published specification:
>
>                        There are no previous RFC documents on SP-MIDI.
>
>                   Applications which use this media type:
>
>                        SP-MIDI is a synthetic audio format for the flexible
>                        presentation of MIDI data on a wide range of 
> playback devices,
>                        particularly portable appliances such as mobile 
> phones, PDAs,
>                        and palmtop computers.
>
>
>
>
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 3]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>
>                   Additional information:
>
>                   Magic number(s):
>                        First four bytes (1-4): \115\124\150\144,
>                        byte (24): \360,
>                        byte (26): \177,
>                        bytes (28-29): \013\001
>
>                   File extension(s): mid
>
>                   Macintosh File Type Code(s): mid
>
>                   Intended usage: COMMON
>
>
>                3 IANA Considerations
>
>                   Section 2 of this document registers one MIME subtype.
>
>                4 Security Considerations
>
>                   Security considerations are specified in the MIME subtype
>                   registration contained in Section 2.
>
>                5 Authors' Addresses
>
>                        Matti Hamalainen
>                        Nokia
>                        P.O. Box 100 (Visiokatu 1)
>                        FIN-33721 Tampere, Finland
>                        Tel: +358 7180 35789
>                        Fax: +358 7180 35899
>
>                        Email: [email-masked]
>
>
>                        Tom White,
>                        MIDI Manufacturers Association
>                        P.O. Box 3173
>                        La Habra CA
>                        90632-3173
>                        Tel (714) 736-9774
>                        Fax (714) 736-9775
>
>                        Email: [email-masked]
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 4]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>
>
>
>                   Author/Change controller:
>
>                        Matti Hamalainen
>                        Nokia
>                        P.O. Box 100 (Visiokatu 1)
>                        FIN-33721 Tampere, Finland
>                        Tel: +358 7180 35789
>                        Fax: +358 7180 35899
>                        [email-masked]
>
>
>
>                References
>
>                   1 Scalable Polyphony MIDI Specification. December 2001, 
> RP-034, The
>                      MIDI Manufacturers Association, Los Angeles, CA, USA.
>                   2 Scalable Polyphony MIDI Device 5-24 Note Profile for 
> 3GPP,
>                      December 2001, RP-035, The MIDI Manufacturers 
> Association, Los
>                      Angeles, CA, USA.
>                   3 MIDI 1.0 Detailed Specification, Document Version 
> 4.2. February
>                      1996, In 'The Complete MIDI 1.0 Detailed 
> Specification, Document
>                      Version 96.1.' The MIDI Manufacturers Association., 
> Los Angeles,
>                      CA, USA.
>                   4 General MIDI System Level 1. 1994, MMA0007/RP003, In 
> 'The Complete
>                      MIDI 1.0 Detailed Specification, Document Version 
> 96.1.' The MIDI
>                      Manufacturers Association, Los Angeles, CA, USA.
>                   5 General MIDI Level 2 Specification (Recommended 
> Practice).
>                      November 1999, RP-024, The MIDI Manufacturers 
> Association, Los
>                      Angeles, CA, USA.
>                   6 General MIDI Lite, Specification for GM Lite and 
> Guidelines for
>                      Use In Mobile Applications. October 5, 2001, RP-033, 
> Version 1.0,
>                      The MIDI Manufacturers Association, Los Angeles, CA, 
> USA.
>
>
>                Hamalainen & White           January 
> 2003                     [Page 5]
>
>_______________________________________________
>Ietf-types mailing list
>[email-masked]
>http://www.alvestrand.no/mailman/listinfo/ietf-types

-------------------
Graham Klyne
<[email-masked]>

From: [email-masked] (Graham Klyne)
Date: Sun, 21 Jul 2002 19:23:56 +0100
Subject: Please review: audio/sp-midi MIME type registration
In-Reply-To: <[email-masked]. com>
Message-ID: <[email-masked]>

(1) typo in security considerations  "don not".

(2) are the specification documents freely available on the Internet?  If 
not, I wonder if a vnd-tree registration might not be more appropriate?  If 
they are, URLs would be helpful.

(3) I think maybe the references should appear in the "published 
specifications" section of the registration template, since that appears in 
the MIME type registry.

#g
--

At 12:01 AM 7/20/02 +0300, [email-masked] wrote:

> 
>M. Hamalainen
>                Internet 
> Draft                                                    Nokia
>                Document: 
> draft-SP-MIDI-MIME-type-01.txt                       T. White
> 
>MMA
>                Expires: January 
> 2003                                         July 2002
>
>
>                               Registration of MIME media type audio/sp-midi
>
>
>                Status of this Memo
>
>                   This document is an Internet-Draft and is subject to 
> all provisions
>                   of Section 10 of RFC2026 except that the right to 
> produce derivative
>                   works is not granted.
>
>                   Internet-Drafts are working documents of the Internet 
> Engineering
>                   Task Force (IETF), its areas, and its working 
> groups.  Note that
>                   other groups may also distribute working documents as 
> Internet-
>                   Drafts.
>
>                   Internet-Drafts are draft documents valid for a maximum 
> of six
>                   months and may be updated, replaced, or obsoleted by 
> other documents
>                   at any time.  It is inappropriate to use 
> Internet-Drafts as
>                   reference material or to cite them other than as "work 
> in progress."
>
>                   The list of current Internet-Drafts can be accessed at
>                        http://www.ietf.org/ietf/1id-abstracts.txt
>                   The list of Internet-Draft Shadow Directories can be 
> accessed at
>                        http://www.ietf.org/shadow.html.
>
>
>                Abstract
>
>                   MIDI Manufacturers Association (MMA) and Association of 
> Music
>                   Electronics industry (AMEI) have recently produced the 
> Scalable
>                   Polyphony MIDI (SP-MIDI) standard [1]. The SP-MIDI 
> standard has been
>                   developed in particularly for mobile MIDI applications. 
> SP-MIDI has
>                   been approved for 3GPP standardization and a dedicated 
> SP-MIDI
>                   profile has been defined for 3GPP SP-MIDI devices [2]. 
> Since MIDI
>                   information is a very compact media type 3GPP is 
> initially focusing
>                   on the application of SP-MIDI for music downloading and 
> messaging
>                   applications that require MIME registration.
>
>
>
>
>
>
>
>
>                1 Introduction
>
>
>                Hamalainen & 
> White                                            [Page 1]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>                   MIDI content is commonly used in the Internet, however 
> such use is
>                   based on informal ad hoc MIME type definitions that 
> have not been
>                   registered by IETF. The present MIME type registration 
> is harmonized
>                   with the typical Internet usage of unregistered 
> audio/midi and
>                   audio/x-midi MIME types. Commonly MIDI information is 
> stored in the
>                   Standard MIDI File (SMF) format [3]. The present MIME type
>                   registration also uses the SMF file format for the 
> encapsulation of
>                   SP-MIDI data. Whereas previous MIDI specifications have 
> been based
>                   on common minimum requirements for all playback devices 
> supporting
>                   the same specification, SP-MIDI is able to support a 
> wider range of
>                   playback devices because playback adaptations can be 
> encoded in the
>                   MIDI content. Due to these differences, a separate MIME 
> type,
>                   audio/sp-midi, needs to be registered to distinguish 
> SP-MIDI
>                   content.
>
>                2 Registration of audio/sp-midi
>
>                   MIME media type name: audio
>
>                   MIME subtype name: sp-midi
>
>                   Required parameters: none
>
>                   Optional parameters: none
>
>                   Encoding considerations:
>
>                        sp-midi data is binary data and must be encoded 
> for non-binary
>                        transport; Base64 is suitable for Email
>
>                   Security considerations:
>
>                        Many synthetic audio compositions have associated 
> intellectual
>                        property rights. It is conceivable that rights 
> owners of sp-
>                        midi content will want to protect their rights by 
> applying
>                        security mechanisms that prohibit the rendering of 
> the content
>                        without a legally acquired license to do so. These 
> mechanisms
>                        would be applied externally to the Content-Type 
> defined here;
>                        sp-midi content itself is not encrypted 
> internally. sp-midi
>                        streams don not contain executable content.
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 2]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>                   Interoperability considerations:
>
>                        Scalable Polyphony MIDI (SP-MIDI) is a Musical 
> Instrument
>                        Digital Interface (MIDI) specification developed 
> by MMA and
>                        AMEI. SP-MIDI is based on the MIDI 1.0 
> specification [3] which
>                        standardizes a protocol for the electronic 
> transmission of
>                        music as data suitable for communication between a 
> transmitter
>                        and receiver using MIDI messages. SP-MIDI data is 
> stored in
>                        Standard MIDI Files (SMF) [3].
>
>                        The SP-MIDI format [1] provides scalable 
> representation of MIDI
>                        content which enables broadly interoperable music 
> applications.
>                        SP-MIDI files have encoded information about playback
>                        requirements which allows SP-MIDI playback devices 
> with
>                        different device capabilities to play the same 
> content
>                        according to composer's polyphony requirement and 
> Channel
>                        priority order definitions. SP-MIDI player 
> requirements are
>                        defined in separate SP-MIDI profile specifications 
> [2] defining
>                        the supported MIDI messages and device 
> requirement. All SP-MIDI
>                        profiles follow the definitions of the SP-MIDI 
> specification
>                        [1].
>
>                        MMA and AMEI have previously defined the General 
> MIDI (GM)
>                        system standards GM1 [4] GM2 [5], and GML [6]. These
>                        specifications are technically related to the SP-MIDI
>                        specification, but do not support polyphony 
> scalability. Due to
>                        the differences between GM and SP-MIDI systems GM 
> synthesizers
>                        do not support all SP-MIDI content, and likewise 
> not all SP-
>                        MIDI synthesizers support all GM content. Thus a 
> separate MIME
>                        definition is needed to distinguish SP-MIDI, media 
> from the
>                        informally used audio/midi content.
>
>                   Published specification:
>
>                        There are no previous RFC documents on SP-MIDI.
>
>                   Applications which use this media type:
>
>                        SP-MIDI is a synthetic audio format for the flexible
>                        presentation of MIDI data on a wide range of 
> playback devices,
>                        particularly portable appliances such as mobile 
> phones, PDAs,
>                        and palmtop computers.
>
>
>
>
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 3]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>
>                   Additional information:
>
>                   Magic number(s):
>                        First four bytes (1-4): \115\124\150\144,
>                        byte (24): \360,
>                        byte (26): \177,
>                        bytes (28-29): \013\001
>
>                   File extension(s): mid
>
>                   Macintosh File Type Code(s): mid
>
>                   Intended usage: COMMON
>
>
>                3 IANA Considerations
>
>                   Section 2 of this document registers one MIME subtype.
>
>                4 Security Considerations
>
>                   Security considerations are specified in the MIME subtype
>                   registration contained in Section 2.
>
>                5 Authors' Addresses
>
>                        Matti Hamalainen
>                        Nokia
>                        P.O. Box 100 (Visiokatu 1)
>                        FIN-33721 Tampere, Finland
>                        Tel: +358 7180 35789
>                        Fax: +358 7180 35899
>
>                        Email: [email-masked]
>
>
>                        Tom White,
>                        MIDI Manufacturers Association
>                        P.O. Box 3173
>                        La Habra CA
>                        90632-3173
>                        Tel (714) 736-9774
>                        Fax (714) 736-9775
>
>                        Email: [email-masked]
>
>
>
>
>
>
>
>
>                Hamalainen & White           January 
> 2003                     [Page 4]
>
>                                             SP-MIDI 
> MIME                   July, 2002
>
>
>
>
>                   Author/Change controller:
>
>                        Matti Hamalainen
>                        Nokia
>                        P.O. Box 100 (Visiokatu 1)
>                        FIN-33721 Tampere, Finland
>                        Tel: +358 7180 35789
>                        Fax: +358 7180 35899
>                        [email-masked]
>
>
>
>                References
>
>                   1 Scalable Polyphony MIDI Specification. December 2001, 
> RP-034, The
>                      MIDI Manufacturers Association, Los Angeles, CA, USA.
>                   2 Scalable Polyphony MIDI Device 5-24 Note Profile for 
> 3GPP,
>                      December 2001, RP-035, The MIDI Manufacturers 
> Association, Los
>                      Angeles, CA, USA.
>                   3 MIDI 1.0 Detailed Specification, Document Version 
> 4.2. February
>                      1996, In 'The Complete MIDI 1.0 Detailed 
> Specification, Document
>                      Version 96.1.' The MIDI Manufacturers Association., 
> Los Angeles,
>                      CA, USA.
>                   4 General MIDI System Level 1. 1994, MMA0007/RP003, In 
> 'The Complete
>                      MIDI 1.0 Detailed Specification, Document Version 
> 96.1.' The MIDI
>                      Manufacturers Association, Los Angeles, CA, USA.
>                   5 General MIDI Level 2 Specification (Recommended 
> Practice).
>                      November 1999, RP-024, The MIDI Manufacturers 
> Association, Los
>                      Angeles, CA, USA.
>                   6 General MIDI Lite, Specification for GM Lite and 
> Guidelines for
>                      Use In Mobile Applications. October 5, 2001, RP-033, 
> Version 1.0,
>                      The MIDI Manufacturers Association, Los Angeles, CA, 
> USA.
>
>
>                Hamalainen & White           January 
> 2003                     [Page 5]
>
>_______________________________________________
>Ietf-types mailing list
>[email-masked]
>http://www.alvestrand.no/mailman/listinfo/ietf-types

-------------------
Graham Klyne
<[email-masked]>

From: matti.s.hamalainen at nokia.com ([email-masked])
Date: Tue Jan  3 16:22:32 2006
Subject: Please review: audio/sp-midi MIME type registration
Message-ID: <[email-masked]>

                                                                         M. Hamalainen 
               Internet Draft                                                    Nokia 
               Document: draft-SP-MIDI-MIME-type-01.txt                       T. White 
                                                                                   MMA 
               Expires: January 2003                                         July 2002 

                              Registration of MIME media type audio/sp-midi 

               Status of this Memo 
                
                  This document is an Internet-Draft and is subject to all provisions 
                  of Section 10 of RFC2026 except that the right to produce derivative 
                  works is not granted. 
                   
                  Internet-Drafts are working documents of the Internet Engineering 
                  Task Force (IETF), its areas, and its working groups.  Note that      
                  other groups may also distribute working documents as Internet-
                  Drafts. 
                   
                  Internet-Drafts are draft documents valid for a maximum of six 
                  months and may be updated, replaced, or obsoleted by other documents 
                  at any time.  It is inappropriate to use Internet-Drafts as 
                  reference material or to cite them other than as "work in progress." 
                   
                  The list of current Internet-Drafts can be accessed at 
                       http://www.ietf.org/ietf/1id-abstracts.txt 
                  The list of Internet-Draft Shadow Directories can be accessed at 
                       http://www.ietf.org/shadow.html. 

               Abstract 
                   
                  MIDI Manufacturers Association (MMA) and Association of Music 
                  Electronics industry (AMEI) have recently produced the Scalable 
                  Polyphony MIDI (SP-MIDI) standard [1]. The SP-MIDI standard has been 
                  developed in particularly for mobile MIDI applications. SP-MIDI has 
                  been approved for 3GPP standardization and a dedicated SP-MIDI 
                  profile has been defined for 3GPP SP-MIDI devices [2]. Since MIDI 
                  information is a very compact media type 3GPP is initially focusing 
                  on the application of SP-MIDI for music downloading and messaging 
                  applications that require MIME registration. 

                   

                   

               1 Introduction 

               Hamalainen & White                                            [Page 1] 
                
                                            SP-MIDI MIME                   July, 2002 
                                                   
                  MIDI content is commonly used in the Internet, however such use is 
                  based on informal ad hoc MIME type definitions that have not been 
                  registered by IETF. The present MIME type registration is harmonized 
                  with the typical Internet usage of unregistered audio/midi and 
                  audio/x-midi MIME types. Commonly MIDI information is stored in the 
                  Standard MIDI File (SMF) format [3]. The present MIME type 
                  registration also uses the SMF file format for the encapsulation of 
                  SP-MIDI data. Whereas previous MIDI specifications have been based 
                  on common minimum requirements for all playback devices supporting 
                  the same specification, SP-MIDI is able to support a wider range of 
                  playback devices because playback adaptations can be encoded in the 
                  MIDI content. Due to these differences, a separate MIME type, 
                  audio/sp-midi, needs to be registered to distinguish SP-MIDI 
                  content. 
                
               2 Registration of audio/sp-midi 
                
                  MIME media type name: audio 
                   
                  MIME subtype name: sp-midi 
                   
                  Required parameters: none 
                   
                  Optional parameters: none 
                   
                  Encoding considerations:  
                        
                       sp-midi data is binary data and must be encoded for non-binary 
                       transport; Base64 is suitable for Email 
                   
                  Security considerations: 
                        
                       Many synthetic audio compositions have associated intellectual 
                       property rights. It is conceivable that rights owners of sp-
                       midi content will want to protect their rights by applying 
                       security mechanisms that prohibit the rendering of the content 
                       without a legally acquired license to do so. These mechanisms 
                       would be applied externally to the Content-Type defined here; 
                       sp-midi content itself is not encrypted internally. sp-midi 
                       streams don not contain executable content. 

                   

                   

                   

                   

               Hamalainen & White           January 2003                     [Page 2] 
                
                                            SP-MIDI MIME                   July, 2002 
                                                   
                  Interoperability considerations: 
                        
                       Scalable Polyphony MIDI (SP-MIDI) is a Musical Instrument 
                       Digital Interface (MIDI) specification developed by MMA and 
                       AMEI. SP-MIDI is based on the MIDI 1.0 specification [3] which 
                       standardizes a protocol for the electronic transmission of 
                       music as data suitable for communication between a transmitter 
                       and receiver using MIDI messages. SP-MIDI data is stored in 
                       Standard MIDI Files (SMF) [3]. 
                        
                       The SP-MIDI format [1] provides scalable representation of MIDI 
                       content which enables broadly interoperable music applications. 
                       SP-MIDI files have encoded information about playback 
                       requirements which allows SP-MIDI playback devices with 
                       different device capabilities to play the same content 
                       according to composer's polyphony requirement and Channel 
                       priority order definitions. SP-MIDI player requirements are 
                       defined in separate SP-MIDI profile specifications [2] defining 
                       the supported MIDI messages and device requirement. All SP-MIDI 
                       profiles follow the definitions of the SP-MIDI specification 
                       [1]. 
                   
                       MMA and AMEI have previously defined the General MIDI (GM) 
                       system standards GM1 [4] GM2 [5], and GML [6]. These 
                       specifications are technically related to the SP-MIDI 
                       specification, but do not support polyphony scalability. Due to 
                       the differences between GM and SP-MIDI systems GM synthesizers 
                       do not support all SP-MIDI content, and likewise not all SP-
                       MIDI synthesizers support all GM content. Thus a separate MIME 
                       definition is needed to distinguish SP-MIDI, media from the 
                       informally used audio/midi content.  
                   
                  Published specification: 
                   
                       There are no previous RFC documents on SP-MIDI.  
                   
                  Applications which use this media type: 
                        
                       SP-MIDI is a synthetic audio format for the flexible 
                       presentation of MIDI data on a wide range of playback devices, 
                       particularly portable appliances such as mobile phones, PDAs, 
                       and palmtop computers. 

                   

                   

                   

                 
               Hamalainen & White           January 2003                     [Page 3] 
                
                                            SP-MIDI MIME                   July, 2002 

                  Additional information: 
                   
                  Magic number(s):  
                       First four bytes (1-4): \115\124\150\144, 
                       byte (24): \360, 
                       byte (26): \177, 
                       bytes (28-29): \013\001 
                   
                  File extension(s): mid 
                   
                  Macintosh File Type Code(s): mid 
                   
                  Intended usage: COMMON 

               3 IANA Considerations 
                
                  Section 2 of this document registers one MIME subtype. 
                
               4 Security Considerations 
                   
                  Security considerations are specified in the MIME subtype 
                  registration contained in Section 2. 
                   
               5 Authors' Addresses 
                   
                       Matti Hamalainen 
                       Nokia 
                       P.O. Box 100 (Visiokatu 1) 
                       FIN-33721 Tampere, Finland 
                       Tel: +358 7180 35789 
                       Fax: +358 7180 35899 
                        
                       Email: [email-masked] 

                       Tom White,  
                       MIDI Manufacturers Association 
                       P.O. Box 3173 
                       La Habra CA 
                       90632-3173 
                       Tel (714) 736-9774 
                       Fax (714) 736-9775 
                        
                       Email: [email-masked] 

                        

                        

               Hamalainen & White           January 2003                     [Page 4] 
                
                                            SP-MIDI MIME                   July, 2002 

                        
                     
                  Author/Change controller: 
                
                       Matti Hamalainen 
                       Nokia 
                       P.O. Box 100 (Visiokatu 1) 
                       FIN-33721 Tampere, Finland 
                       Tel: +358 7180 35789 
                       Fax: +358 7180 35899 
                       [email-masked] 

                   
               References 
                
                  1 Scalable Polyphony MIDI Specification. December 2001, RP-034, The 
                     MIDI Manufacturers Association, Los Angeles, CA, USA. 
                  2 Scalable Polyphony MIDI Device 5-24 Note Profile for 3GPP, 
                     December 2001, RP-035, The MIDI Manufacturers Association, Los 
                     Angeles, CA, USA. 
                  3 MIDI 1.0 Detailed Specification, Document Version 4.2. February 
                     1996, In 'The Complete MIDI 1.0 Detailed Specification, Document 
                     Version 96.1.' The MIDI Manufacturers Association., Los Angeles, 
                     CA, USA. 
                  4 General MIDI System Level 1. 1994, MMA0007/RP003, In 'The Complete 
                     MIDI 1.0 Detailed Specification, Document Version 96.1.' The MIDI 
                     Manufacturers Association, Los Angeles, CA, USA. 
                  5 General MIDI Level 2 Specification (Recommended Practice). 
                     November 1999, RP-024, The MIDI Manufacturers Association, Los 
                     Angeles, CA, USA. 
                  6 General MIDI Lite, Specification for GM Lite and Guidelines for 
                     Use In Mobile Applications. October 5, 2001, RP-033, Version 1.0, 
                     The MIDI Manufacturers Association, Los Angeles, CA, USA. 

               Hamalainen & White           January 2003                     [Page 5] 

From: [email-masked] ([email-masked])
Date: Sat, 20 Jul 2002 00:01:57 +0300
Subject: Please review: audio/sp-midi MIME type registration
Message-ID: <[email-masked]>

                                                                         =
M. Hamalainen=20
               Internet Draft                                            =
        Nokia=20
               Document: draft-SP-MIDI-MIME-type-01.txt                  =
     T. White=20
                                                                         =
          MMA=20
               Expires: January 2003                                     =
    July 2002=20
               =20
               =20
                              Registration of MIME media type =
audio/sp-midi=20
               =20
               =20
               Status of this Memo=20
               =20
                  This document is an Internet-Draft and is subject to =
all provisions=20
                  of Section 10 of RFC2026 except that the right to =
produce derivative=20
                  works is not granted.=20
                  =20
                  Internet-Drafts are working documents of the Internet =
Engineering=20
                  Task Force (IETF), its areas, and its working groups.  =
Note that     =20
                  other groups may also distribute working documents as =
Internet-
                  Drafts.=20
                  =20
                  Internet-Drafts are draft documents valid for a =
maximum of six=20
                  months and may be updated, replaced, or obsoleted by =
other documents=20
                  at any time.  It is inappropriate to use =
Internet-Drafts as=20
                  reference material or to cite them other than as "work =
in progress."=20
                  =20
                  The list of current Internet-Drafts can be accessed at =

                       http://www.ietf.org/ietf/1id-abstracts.txt=20
                  The list of Internet-Draft Shadow Directories can be =
accessed at=20
                       http://www.ietf.org/shadow.html.=20
                  =20
                  =20
               Abstract=20
                  =20
                  MIDI Manufacturers Association (MMA) and Association =
of Music=20
                  Electronics industry (AMEI) have recently produced the =
Scalable=20
                  Polyphony MIDI (SP-MIDI) standard [1]. The SP-MIDI =
standard has been=20
                  developed in particularly for mobile MIDI =
applications. SP-MIDI has=20
                  been approved for 3GPP standardization and a dedicated =
SP-MIDI=20
                  profile has been defined for 3GPP SP-MIDI devices [2]. =
Since MIDI=20
                  information is a very compact media type 3GPP is =
initially focusing=20
                  on the application of SP-MIDI for music downloading =
and messaging=20
                  applications that require MIME registration.=20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
               1 Introduction=20
                  =20
                =20
               Hamalainen & White                                        =
    [Page 1]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                  MIDI content is commonly used in the Internet, however =
such use is=20
                  based on informal ad hoc MIME type definitions that =
have not been=20
                  registered by IETF. The present MIME type registration =
is harmonized=20
                  with the typical Internet usage of unregistered =
audio/midi and=20
                  audio/x-midi MIME types. Commonly MIDI information is =
stored in the=20
                  Standard MIDI File (SMF) format [3]. The present MIME =
type=20
                  registration also uses the SMF file format for the =
encapsulation of=20
                  SP-MIDI data. Whereas previous MIDI specifications =
have been based=20
                  on common minimum requirements for all playback =
devices supporting=20
                  the same specification, SP-MIDI is able to support a =
wider range of=20
                  playback devices because playback adaptations can be =
encoded in the=20
                  MIDI content. Due to these differences, a separate =
MIME type,=20
                  audio/sp-midi, needs to be registered to distinguish =
SP-MIDI=20
                  content.=20
               =20
               2 Registration of audio/sp-midi=20
               =20
                  MIME media type name: audio=20
                  =20
                  MIME subtype name: sp-midi=20
                  =20
                  Required parameters: none=20
                  =20
                  Optional parameters: none=20
                  =20
                  Encoding considerations: =20
                       =20
                       sp-midi data is binary data and must be encoded =
for non-binary=20
                       transport; Base64 is suitable for Email=20
                  =20
                  Security considerations:=20
                       =20
                       Many synthetic audio compositions have associated =
intellectual=20
                       property rights. It is conceivable that rights =
owners of sp-
                       midi content will want to protect their rights by =
applying=20
                       security mechanisms that prohibit the rendering =
of the content=20
                       without a legally acquired license to do so. =
These mechanisms=20
                       would be applied externally to the Content-Type =
defined here;=20
                       sp-midi content itself is not encrypted =
internally. sp-midi=20
                       streams don not contain executable content.=20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 2]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                  Interoperability considerations:=20
                       =20
                       Scalable Polyphony MIDI (SP-MIDI) is a Musical =
Instrument=20
                       Digital Interface (MIDI) specification developed =
by MMA and=20
                       AMEI. SP-MIDI is based on the MIDI 1.0 =
specification [3] which=20
                       standardizes a protocol for the electronic =
transmission of=20
                       music as data suitable for communication between =
a transmitter=20
                       and receiver using MIDI messages. SP-MIDI data is =
stored in=20
                       Standard MIDI Files (SMF) [3].=20
                       =20
                       The SP-MIDI format [1] provides scalable =
representation of MIDI=20
                       content which enables broadly interoperable music =
applications.=20
                       SP-MIDI files have encoded information about =
playback=20
                       requirements which allows SP-MIDI playback =
devices with=20
                       different device capabilities to play the same =
content=20
                       according to composer's polyphony requirement and =
Channel=20
                       priority order definitions. SP-MIDI player =
requirements are=20
                       defined in separate SP-MIDI profile =
specifications [2] defining=20
                       the supported MIDI messages and device =
requirement. All SP-MIDI=20
                       profiles follow the definitions of the SP-MIDI =
specification=20
                       [1].=20
                  =20
                       MMA and AMEI have previously defined the General =
MIDI (GM)=20
                       system standards GM1 [4] GM2 [5], and GML [6]. =
These=20
                       specifications are technically related to the =
SP-MIDI=20
                       specification, but do not support polyphony =
scalability. Due to=20
                       the differences between GM and SP-MIDI systems GM =
synthesizers=20
                       do not support all SP-MIDI content, and likewise =
not all SP-
                       MIDI synthesizers support all GM content. Thus a =
separate MIME=20
                       definition is needed to distinguish SP-MIDI, =
media from the=20
                       informally used audio/midi content. =20
                  =20
                  Published specification:=20
                  =20
                       There are no previous RFC documents on SP-MIDI. =20
                  =20
                  Applications which use this media type:=20
                       =20
                       SP-MIDI is a synthetic audio format for the =
flexible=20
                       presentation of MIDI data on a wide range of =
playback devices,=20
                       particularly portable appliances such as mobile =
phones, PDAs,=20
                       and palmtop computers.=20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                  =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 3]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                  =20
                  Additional information:=20
                  =20
                  Magic number(s): =20
                       First four bytes (1-4): \115\124\150\144,=20
                       byte (24): \360,=20
                       byte (26): \177,=20
                       bytes (28-29): \013\001=20
                  =20
                  File extension(s): mid=20
                  =20
                  Macintosh File Type Code(s): mid=20
                  =20
                  Intended usage: COMMON=20
                  =20
               =20
               3 IANA Considerations=20
               =20
                  Section 2 of this document registers one MIME subtype. =

               =20
               4 Security Considerations=20
                  =20
                  Security considerations are specified in the MIME =
subtype=20
                  registration contained in Section 2.=20
                  =20
               5 Authors' Addresses=20
                  =20
                       Matti Hamalainen=20
                       Nokia=20
                       P.O. Box 100 (Visiokatu 1)=20
                       FIN-33721 Tampere, Finland=20
                       Tel: +358 7180 35789=20
                       Fax: +358 7180 35899=20
                       =20
                       Email: [email-masked]=20
                       =20
                       =20
                       Tom White, =20
                       MIDI Manufacturers Association=20
                       P.O. Box 3173=20
                       La Habra CA=20
                       90632-3173=20
                       Tel (714) 736-9774=20
                       Fax (714) 736-9775=20
                       =20
                       Email: [email-masked]=20
                       =20
                       =20
                       =20
                       =20
                       =20
                       =20
                       =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 4]=20
                =0C
                                            SP-MIDI MIME                 =
  July, 2002=20
                                                  =20
                       =20
                       =20
                    =20
                  Author/Change controller:=20
               =20
                       Matti Hamalainen=20
                       Nokia=20
                       P.O. Box 100 (Visiokatu 1)=20
                       FIN-33721 Tampere, Finland=20
                       Tel: +358 7180 35789=20
                       Fax: +358 7180 35899=20
                       [email-masked]=20
                       =20
                       =20
                  =20
               References=20
               =20
                  1 Scalable Polyphony MIDI Specification. December =
2001, RP-034, The=20
                     MIDI Manufacturers Association, Los Angeles, CA, =
USA.=20
                  2 Scalable Polyphony MIDI Device 5-24 Note Profile for =
3GPP,=20
                     December 2001, RP-035, The MIDI Manufacturers =
Association, Los=20
                     Angeles, CA, USA.=20
                  3 MIDI 1.0 Detailed Specification, Document Version =
4.2. February=20
                     1996, In 'The Complete MIDI 1.0 Detailed =
Specification, Document=20
                     Version 96.1.' The MIDI Manufacturers Association., =
Los Angeles,=20
                     CA, USA.=20
                  4 General MIDI System Level 1. 1994, MMA0007/RP003, In =
'The Complete=20
                     MIDI 1.0 Detailed Specification, Document Version =
96.1.' The MIDI=20
                     Manufacturers Association, Los Angeles, CA, USA.=20
                  5 General MIDI Level 2 Specification (Recommended =
Practice).=20
                     November 1999, RP-024, The MIDI Manufacturers =
Association, Los=20
                     Angeles, CA, USA.=20
                  6 General MIDI Lite, Specification for GM Lite and =
Guidelines for=20
                     Use In Mobile Applications. October 5, 2001, =
RP-033, Version 1.0,=20
                     The MIDI Manufacturers Association, Los Angeles, =
CA, USA.=20
                  =20
                =20
               Hamalainen & White           January 2003                 =
    [Page 5]=20
               =20